auth = '''To get authenticated with Twitter, please visit this URL and sign in:

* %s

You will receive a six-digit PIN. Please send it to me like this:

* /verify 123456'''


authimp = '''You can't currently log in to a new account as you are either already logged in or I'm waiting for your verification code.

If you wish to log in to a different account or start the login process from the top, please /logout first..'''


noauth = '''You are not logged in. Please use /login to sign in with Twitter.'''


start = '''Hey there!

I'm @%(name)s, everybody's favorite Twitter bot on Telegram!

For me to help you, you will first have to authenticate with Twitter:

* /login

After authentication, you will be able to tweet from your account. Just drop me a note!

Additionally, you will be able to use the following commands:

*User functions*
* /follow USER - Follow a user. 
* /unfollow USER - Unfollow a user.

*Tweet functions*
* /like TWEET - Like a tweet. You will need to pass a tweet ID (TWEET) as returned by /timeline.
* /reply TWEET TEXT - Reply TEXT to a tweet. You will need to pass a tweet ID (TWEET) as returned by /timeline.
* /retweet TWEET - Retweet a tweet. You will need to pass a tweet ID (TWEET) as returned by /timeline.
* /togglementions - Turn on/off notifications when you are mentioned in a tweet.
* /toggletweet - Turn automatic tweeting of messages on/off. Useful in groups.
* /tweet TEXT - Explicitly tweet TEXT even if automatic tweeting is off (/toggletweet).

*Timeline functions*
* /timeline - Shows you the latest tweets in your timeline. Returns 10 tweets by default, but you may also use it like /timeline 20, which would return 20 tweets.

If you have any further questions about these commands, I'll try to help you. Just use /help COMMAND for that. For instance, "/help timeline" will show you further details about the /timeline command.

Every once in a while, I may want to tell you about new features. If you don't want to receive these messages, you can opt out using /togglebroadcasts. Please note that you will still receive urgent notices if necessary.

In case you ever wish to leave, you can use /logout. Of course, you're always welcome to login again after that.

Have fun!'''


toggleBroadcasts = '''Broadcast notifications are now %s.'''


toggleTweet = '''Automatic tweeting is now %s.'''


toggleMentions = '''Mention notifications are now %s.'''


unauth = '''You're leaving already? :(

I hope you had a good time with me. If there is anything you would like to tell me or my developers, please drop us a note at:

* %s

Your data has been deleted. Of course, you can always just re-authenticate using /auth.

It was great having you here. So long, and thanks for all the /fish!'''


unknownCommand = '''Sorry, I didn't understand that command.'''


verify = '''Thanks for authenticating. You can now use all of my features!'''

verifyfail = '''Oops, something went wrong during the authentication. Please try again:

* /login'''

verifyimp = '''Huh. I wasn't expecting a verification code from you. You may already be logged in, or you have not yet sent me a /login command.'''

twoFail = '''Well, something went wrong. Try again later.'''

twoAuthFail = '''Could not authenticate you for some reason. Please try again later. If this problem persists, please try reauthenticating using /logout and /login.'''

toggleTweetOn = "on"

toggleTweetOff = "off"

fishThanks = '''Yummy! Thanks!'''

selfSpam = '''Don't tell me you just tried to report yourself for spam. Seriously?'''

accountSuspended = '''I'm afraid your account is suspended. I can't currently help you.'''

rateLimit = '''Whoa, buddy! Slow it down! You ran into a rate limit. Please try again later.'''

badToken = '''Oops. Something appears to be wrong with your credentials. Please try reauthenticating using /logout and /login.'''

overload = '''So, I've good good news and bad news. The bad news is, I was unable to process your request. The good news is, it isn't our fault. Seems like Twitter is experiencing higher load than usual. Please try again later.'''

twitterError = '''So, I've good good news and bad news. The bad news is, I was unable to process your request. The good news is, it isn't our fault. Seems like Twitter is having some technical difficulties. Please try again later.'''

unknownTweet = '''Well, it seems that this tweet doesn't exist any more. It was probably deleted. Sorry about that.'''

followLimit = '''Twitter doesn't allow you to follow more accounts. You may want to unfollow somebody else first or try to get more followers yourself. (Yeah, I know.)'''

tweetLimit = '''Twitter doesn't allow you to post any new tweets right now because you ran into some kind of limit. Unfortunately, I can't really tell you when you'll be able to tweet again either.'''

dupTweet = '''Didn't you just tweet that? If you're sure that you want to tweet this again, please wait a few minutes and try again.'''

automatedTweet = '''Twitter thinks you're a robot. I'm pretty sure that you're a human being, but they won't listen to me. Anyway, I can't process your request at this time. Sorry about that.'''

selfMute = '''Why would you want to mute yourself? Your tweets are great!'''

notMuted = '''It's great that you want to unmute this account. But you actually haven't muted them in the first place...'''

multipleGIFs = '''I don't understand it either, but Twitter doesn't allow uploading multiple images if one of them is an animated GIF... (It's /ˈɡɪf/, not  /ˈdʒɪf/. Just saying.)'''

accountLocked = '''Your account was locked by Twitter for security reasons. Please log in at the Twitter website (https://twitter.com/) and follow the instructions there.'''

longTweet = '''Sorry, but this tweet is too long.'''

cantfind = '''Sorry, I can't find a tweet with ID %s. Please check your timeline and try again.'''

restart = '''Restarting. Be right back. Hopefully.'''
